#!/bin/powershell
<#
.SYNTAX         ./speak-joke.ps1
.DESCRIPTION	speaks the next joke by text-to-speech (TTS)
.LINK		https://github.com/fleschutz/PowerShell
.NOTES		Author:	Markus Fleschutz / License: CC0
#>

try {
	$PathToRepo = "$PSScriptRoot/.."

	$Table = import-csv "$PathToRepo/Data/jokes.csv"

	$Generator = New-Object System.Random
	$Index = [int]$Generator.next(0,66)

	$Joke = $Table[$Index].Joke

	& ./speak-english.ps1 "$Joke"
	exit 0
} catch {
	write-error "ERROR: line $($_.InvocationInfo.ScriptLineNumber): $($Error[0])"
	exit 1
}
