#!/bin/powershell
<#
.SYNTAX         ./speak-text.ps1 [<text>]
.DESCRIPTION	speaks the given text by text-to-speech (TTS)
.LINK		https://github.com/fleschutz/PowerShell
.NOTES		Author:	Markus Fleschutz / License: CC0
#>

param($Text = "")

if ($Text -eq "") {
	$Text = read-host "Enter the text to speak"
}

try {
	$Voice = new-object -ComObject SAPI.SPVoice
	$Result = $Voice.Speak($Text)
	exit 0
} catch {
	write-error "ERROR: line $($_.InvocationInfo.ScriptLineNumber): $($Error[0])"
	exit 1
}
