#!/bin/powershell
<#
.SYNTAX         ./speak-time.ps1
.DESCRIPTION	speaks the current time by text-to-speech (TTS)
.LINK		https://github.com/fleschutz/PowerShell
.NOTES		Author:	Markus Fleschutz / License: CC0
#>

try {
	[system.threading.thread]::currentthread.currentculture=[system.globalization.cultureinfo]"en-US"
	& ./speak-english.ps1 "It's now $((Get-Date).ToShortTimeString())"
	exit 0
} catch {
	write-error "ERROR: line $($_.InvocationInfo.ScriptLineNumber): $($Error[0])"
	exit 1
}
